import * as React from 'react';
import { Coloring, DefaultProps, Sizing, Theme, Tooltip } from '../common-types';
import { LinkBaseProps } from './Link';
export interface ButtonBaseProps extends DefaultProps, Coloring, Sizing, Tooltip {
    active?: boolean;
    square?: boolean;
    disabled?: boolean;
    outline?: boolean;
    plaintext?: boolean;
    underline?: boolean;
    iconElement?: JSX.Element;
}
export interface ButtonAnchorProps extends ButtonBaseProps, LinkBaseProps {
}
export interface ButtonProps extends ButtonBaseProps {
    type?: 'submit' | 'reset' | 'button';
}
export interface ThemedButtonProps extends ButtonProps {
    theme: Theme;
}
declare const Button: React.ComponentClass<ButtonProps, any> & {
    a: React.ComponentClass<ButtonAnchorProps, any>;
};
export default Button;
