/// <reference types="react" />
import { DefaultProps, Theme, Tooltip } from '../common-types';
export interface TxtProps extends DefaultProps, Tooltip {
    monospace?: boolean;
    bold?: boolean;
    caps?: boolean;
    whitespace?: 'normal' | 'nowrap' | 'pre' | 'pre-line' | 'pre-wrap' | 'initial' | 'inherit';
    align?: 'left' | 'right' | 'center' | 'justify' | 'justify-all' | 'start' | 'end' | 'match-parent' | 'inherit' | 'initial' | 'unset';
}
export interface ThemedTxtProps extends TxtProps {
    theme: Theme;
}
export declare const whitespace: (props: ThemedTxtProps) => {
    whiteSpace: "normal" | "inherit" | "pre" | "initial" | "nowrap" | "pre-line" | "pre-wrap";
} | null;
export declare const caps: (props: ThemedTxtProps) => {
    textTransform: string;
    letterSpacing: string;
} | null;
export declare const bold: (props: ThemedTxtProps) => {
    fontWeight: number;
} | null;
export declare const align: (props: any) => string;
declare const Base: import("react").ComponentClass<TxtProps, any> & {
    span: import("react").ComponentClass<TxtProps, any>;
    p: import("react").ComponentClass<TxtProps, any>;
};
export default Base;
