/// <reference types="react" />
import { JSONSchema6 } from 'json-schema';
import { ThemedStyledFunction } from 'styled-components';
import { DefaultProps, Theme } from './common-types';
interface ThemedDefaultProps extends DefaultProps {
    theme: Theme;
}
export declare const lighten: (color: string) => string;
export declare const darken: (color: string) => string;
export declare const fade: (color: string) => string;
export declare const blacken: (color: string) => string;
export declare const normal: (props: ThemedDefaultProps) => any;
export declare const bold: (props: ThemedDefaultProps) => any;
export declare const px: (n: any) => any;
export declare const randomString: (length?: number) => string;
export declare const stopPropagation: <T>(e: Event | import("react").MouseEvent<T, MouseEvent>) => void;
export declare const stopEvent: <T>(e: Event | import("react").MouseEvent<T, MouseEvent>) => void;
export declare const getColorFromTheme: (theme: Theme) => (colorString: string) => {
    main: string;
    light?: string | undefined;
    dark?: string | undefined;
};
export declare const getColoringType: (props: {
    [key: string]: any;
    theme: Theme;
}) => string | undefined;
export declare const getColor: (props: {
    [key: string]: any;
    theme: Theme;
}, key: string, shade: "main" | "light" | "dark") => any;
export declare const monospace: (props: {
    monospace?: boolean | undefined;
    theme: Theme;
}) => {
    fontFamily: string;
} | null;
export declare function withProps<U>(): <P, T, O>(fn: ThemedStyledFunction<P, T, O>) => ThemedStyledFunction<P & U, T, O & U>;
export declare const regexEscape: (str: string) => string;
export declare const stripSchemaFormats: (schema: JSONSchema6, whitelist?: string[]) => JSONSchema6;
export declare const disallowAdditionalProperties: (schema: JSONSchema6) => JSONSchema6;
declare type Point = {
    x: number;
    y: number;
};
export declare const getAngleBetweenPoints: (p1: Point, p2: Point) => number;
export declare const constrainNumber: (value: number, lower?: number, upper?: number) => number;
export {};
